Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CosNaming
Class _BindingIteratorStub

    java.lang.Object
      org.omg.CORBA.portable.ObjectImpl
          org.omg.CosNaming._BindingIteratorStub

All Implemented Interfaces:
  Serializable, Object, IDLEntity, BindingIterator, BindingIteratorOperations

    public class _BindingIteratorStub

extends ObjectImpl
implements BindingIterator

The BindingIterator interface allows a client to iterate through the bindings using the next_one or next_n operations. The bindings iterator is obtained by using the `list` method on the `NamingContext`.

See Also:
  `NamingContextOperations.list(int, org.omg.CosNaming.BindingListHolder, org.omg.CosNaming.BindingIteratorHolder)`, Serialized Form

Constructor Summary
`_BindingIteratorStub()`

Method Summary
`String[]` | `_ids()` Retrieves a string array containing the repository identifiers supported by this `ObjectImpl` object.
`void` | `destroy()` This operation destroys the iterator.
`boolean` | `next_n(int how_many, BindingListHolder bl)` This operation returns at most the requested number of bindings.
`boolean` | `next_one(BindingHolder b)` This operation returns the next binding.

Methods inherited from class org.omg.CORBA.portable.ObjectImpl
`_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Constructor Detail

### _BindingIteratorStub

    public _BindingIteratorStub()

Method Detail

### next_one

    public boolean next_one(BindingHolder b)

  This operation returns the next binding. If there are no more bindings, false is returned.

  Specified by:
    `next_one` in interface `BindingIteratorOperations`
  Parameters:
    `b` - the returned binding

### next_n

    public boolean next_n(int how_many,
                          BindingListHolder bl)

  This operation returns at most the requested number of bindings.

  Specified by:
    `next_n` in interface `BindingIteratorOperations`
  Parameters:
    `how_many` - the maximum number of bindings tro return

    `bl` - the returned bindings

### destroy

    public void destroy()

  This operation destroys the iterator.

  Specified by:
    `destroy` in interface `BindingIteratorOperations`

### _ids

    public String[] _ids()

  Description copied from class: `ObjectImpl`
  Retrieves a string array containing the repository identifiers supported by this `ObjectImpl` object. For example, for a stub, this method returns information about all the interfaces supported by the stub.

  Specified by:
    `_ids` in class `ObjectImpl`
  Returns:
    the array of all repository identifiers supported by this `ObjectImpl` instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.